entities/special/registry
Failed

Last Run triggered by:
scheduled
Last Run started at:
2022-01-21 00:08:06.445174
Last Completion:
2022-01-21 04:11:20.948210
Last Success:
2022-01-19 16:28:38.125492

scraper
Traceback (most recent call last):
  File "/datapackage_pipelines_budgetkey/pipelines/entities/special/scraper.py", line 109, in scrape
    EC.presence_of_element_located((By.CSS_SELECTOR, "#dgReshima tr.row1"))
  File "/usr/local/lib/python3.7/site-packages/selenium/webdriver/support/wait.py", line 89, in until
    raise TimeoutException(message, screen, stacktrace)
selenium.common.exceptions.TimeoutException: Message:
Stacktrace:
#0 0x55779ddd9199 <unknown>
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "/datapackage_pipelines_budgetkey/pipelines/entities/special/scraper.py", line 163, in <module>
    spew(datapackage, itertools.chain(res_iter, [scrape()]))
  File "/usr/local/lib/python3.7/site-packages/datapackage_pipelines/wrapper/wrapper.py", line 75, in spew
    for rec in res:
  File "/datapackage_pipelines_budgetkey/pipelines/entities/special/scraper.py", line 114, in scrape
    prepare()
  File "/datapackage_pipelines_budgetkey/pipelines/entities/special/scraper.py", line 66, in prepare
    EC.presence_of_element_located((By.ID, "RadioBakasha1"))
  File "/usr/local/lib/python3.7/site-packages/selenium/webdriver/support/wait.py", line 78, in until
    value = method(self._driver)
  File "/usr/local/lib/python3.7/site-packages/selenium/webdriver/support/expected_conditions.py", line 64, in _predicate
    return driver.find_element(*locator)
  File "/usr/local/lib/python3.7/site-packages/selenium/webdriver/remote/webdriver.py", line 1246, in find_element
    'value': value})['value']
  File "/usr/local/lib/python3.7/site-packages/selenium/webdriver/remote/webdriver.py", line 424, in execute
    self.error_handler.check_response(response)
  File "/usr/local/lib/python3.7/site-packages/selenium/webdriver/remote/errorhandler.py", line 247, in check_response
    raise exception_class(message, screen, stacktrace)
selenium.common.exceptions.WebDriverException: Message: chrome not reachable
  (Session info: chrome=88.0.4324.96)
Stacktrace:
#0 0x55779ddd9199 <unknown>
DEBUG   :[chan 1] Max packet in: 32768 bytes
DEBUG   :[chan 1] Max packet out: 32768 bytes
DEBUG   :Secsh channel 1 opened.
DEBUG   :[chan 1] Sesch channel 1 request ok
DEBUG   :[chan 1] EOF received (1)
DEBUG   :[chan 1] EOF sent (1)
DEBUG   :Dropping user packet because connection is dead.
DEBUG   :Dropping user packet because connection is dead.

Pipeline ID: entities/special/registry

entities/special/registry
Failed

Last Run triggered by:
scheduled
Last Run started at:
2022-01-21 00:08:06.445174
Last Completion:
2022-01-21 04:11:20.948210
Last Success:
2022-01-19 16:28:38.125492

scraper
Traceback (most recent call last):
  File "/datapackage_pipelines_budgetkey/pipelines/entities/special/scraper.py", line 109, in scrape
    EC.presence_of_element_located((By.CSS_SELECTOR, "#dgReshima tr.row1"))
  File "/usr/local/lib/python3.7/site-packages/selenium/webdriver/support/wait.py", line 89, in until
    raise TimeoutException(message, screen, stacktrace)
selenium.common.exceptions.TimeoutException: Message:
Stacktrace:
#0 0x55779ddd9199 <unknown>
During handling of the above exception, another exception occurred:
Traceback (most recent call last):
  File "/datapackage_pipelines_budgetkey/pipelines/entities/special/scraper.py", line 163, in <module>
    spew(datapackage, itertools.chain(res_iter, [scrape()]))
  File "/usr/local/lib/python3.7/site-packages/datapackage_pipelines/wrapper/wrapper.py", line 75, in spew
    for rec in res:
  File "/datapackage_pipelines_budgetkey/pipelines/entities/special/scraper.py", line 114, in scrape
    prepare()
  File "/datapackage_pipelines_budgetkey/pipelines/entities/special/scraper.py", line 66, in prepare
    EC.presence_of_element_located((By.ID, "RadioBakasha1"))
  File "/usr/local/lib/python3.7/site-packages/selenium/webdriver/support/wait.py", line 78, in until
    value = method(self._driver)
  File "/usr/local/lib/python3.7/site-packages/selenium/webdriver/support/expected_conditions.py", line 64, in _predicate
    return driver.find_element(*locator)
  File "/usr/local/lib/python3.7/site-packages/selenium/webdriver/remote/webdriver.py", line 1246, in find_element
    'value': value})['value']
  File "/usr/local/lib/python3.7/site-packages/selenium/webdriver/remote/webdriver.py", line 424, in execute
    self.error_handler.check_response(response)
  File "/usr/local/lib/python3.7/site-packages/selenium/webdriver/remote/errorhandler.py", line 247, in check_response
    raise exception_class(message, screen, stacktrace)
selenium.common.exceptions.WebDriverException: Message: chrome not reachable
  (Session info: chrome=88.0.4324.96)
Stacktrace:
#0 0x55779ddd9199 <unknown>
DEBUG   :[chan 1] Max packet in: 32768 bytes
DEBUG   :[chan 1] Max packet out: 32768 bytes
DEBUG   :Secsh channel 1 opened.
DEBUG   :[chan 1] Sesch channel 1 request ok
DEBUG   :[chan 1] EOF received (1)
DEBUG   :[chan 1] EOF sent (1)
DEBUG   :Dropping user packet because connection is dead.
DEBUG   :Dropping user packet because connection is dead.

Pipeline ID: entities/special/registry